QUERY(1)

NAME
query - query remote data servers and download

SYNOPSIS
astquery [OPTION...] DATABASE

DESCRIPTION
query is part of GNU Astronomy Utilities 0.20. query is just a place holder used as a minimal set of files and functions necessary for a program in Gnuastro. It can be used for learning or as a template to build new programs.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of query's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astquery -P

Inputs/Outputs and options:
    $ info astquery

Full section in manual/book:
    $ info query

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

query options:

    Input:

--ccol=STR,STR
    Coordinate (RA, Dec) column names in dataset.

-h, --hdu=STR/INT
    Extension name or number of input data.

-L, --limitinfo=STR
    Only retrieve dataset info. with this string.

-Q, --query=STR
    The raw query as a simple string.

-v, --overlapwith=FITS
    Set query region to overlap with this image.

    Output:

--dry-run
    Only print the download command, don't run it.

-D, --dontdelete
    Don't delete output if it exists.

-i, --information
    Print database or dataset information.

-k, --keeprawdownload
    Don't delete raw downloaded file.

-K, --keepinputdir
    Keep input directory for automatic output.

-o, --output=STR
    Output file name.

--tableformat=STR
    Table fmt: 'fits-ascii', 'fits-binary', 'txt'.

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

    Generate query internally (not compatible with '--query'):

-b, --noblank=STR[,STR]
    No rows with blank value in given column(s).

-c, --column=STR
    Column names to download from catalog.

-C, --center=FLT,FLT
    Center coords. to select by region in sky.

-g, --range=STR,FLT:FLT
    Range of selected targets in given column.

-H, --head=INT
    Only download given number of top rows.

-r, --radius=FLT
    Radius around --center to select targets.

--sort=STR[,STR]
    Sort based on values of given columns.

-s, --dataset=STR
    Name of dataset in database.

-w, --width=FLT[,FLT]
    Width of box around --center to select targets.

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--lastconfig
    Do not parse any more configuration files.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2023 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for query is maintained as a Texinfo manual. If the info and query programs are properly installed at your site, the command

    info query

should give you access to the complete manual.